﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TDS 510A (1 yr) VER IEEE /5520+SC600
DATE:                  2013-11-19 08:17:50
AUTHOR:                Fluke
REVISION:              $Revision: 5605 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       219
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 510A Digitizing Oscilloscope
#        Service Manual, Part No. 070-9704-02
#
#  Compatibility:
#        MET/CAL 7.3.38 or Later.
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  5520         500MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            F        V

  1.005  IF           NOT(VERSIONCHECK("7.3.38"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning

  1.010  HEAD         PRELIMINARY INSTRUCTIONS
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method

  1.013  DISP         Ensure a minimum UUT warm-up time of at least
  1.013  DISP         20 minutes has been allowed to elapse, prior
  1.013  DISP         to beginning verification.

  1.014  HEAD         UUT IDENTIFICATION
  1.015  TARGET
  1.016  CALL         Sub TDS500/600/700 Setup IEEE
  1.017  IEEE2        *RST;DESE 61
  1.018  WAIT         -t 4 System Initializing ...

  1.019  MATH         @UUT_Manufacturer  = "TEKTRONIX"
  1.020  MATH         @UUT_AssetNum      = UUT()

  1.021  IF           NOT(EMPTY(@UUT_AssetNum))
  1.022  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.023  ENDIF

  1.024  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.025  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.026  IF           @Abort
  1.027  END
  1.028  ENDIF

  1.029  HEAD         EQUIPMENT REQUIREMENTS
  1.030  OPBR         -z Do you want to REVIEW the list of additional
  1.030  OPBR         equipment and/or accessories required?

  1.031  IF           MEM1
  1.032  DISP         The following additional equipment and/or accessories
  1.032  DISP         are required:
  1.032  DISP
  1.032  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.032  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.032  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.032  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.032  DISP         - Dual Input Coupler (BNC)
  1.032  DISP         - 50 Ohm Feedthrough (BNC)
  1.033  ENDIF

  1.034  CALL         Sub TDS500A Specifications
  1.035  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.036  JMPL         END                          @Abort
  1.037  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.038  JMPL         END                          @Abort

  1.039  MATH         @Chan = 1
  1.040  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.041  MATH         @Chan = 2
  1.042  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.043  MATH         @Chan = 3
  1.044  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.045  MATH         @Chan = 4
  1.046  CALL         Sub TDS500A (1 yr) DC Offset IEEE

  1.047  MATH         @Chan = 1
  1.048  CALL         Sub TDS510A (1 yr) DCV Meas Acc IEEE /5520+S6
  1.049  JMPL         BANDWIDTH_CH1

  1.050  LABEL        DCV_ACC_CH2
  1.051  MATH         @Chan = 2
  1.052  CALL         Sub TDS510A (1 yr) DCV Meas Acc IEEE /5520+S6
  1.053  JMPL         BANDWIDTH_CH2

  1.054  LABEL        DCV_ACC_CH3
  1.055  MATH         @Chan = 3
  1.056  CALL         Sub TDS510A (1 yr) DCV Meas Acc IEEE /5520+S6
  1.057  JMPL         BANDWIDTH_CH3

  1.058  LABEL        DCV_ACC_CH4
  1.059  MATH         @Chan = 4
  1.060  CALL         Sub TDS510A (1 yr) DCV Meas Acc IEEE /5520+S6
  1.061  JMPL         BANDWIDTH_CH4

  1.062  LABEL        BANDWIDTH_CH1
  1.063  MATH         @Chan = 1
  1.064  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /5520+S6
  1.065  JMPL         TIMEBASE_TRIGGER

  1.066  LABEL        BANDWIDTH_CH2
  1.067  MATH         @Chan = 2
  1.068  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /5520+S6
  1.069  JMPL         TRIG_SENS_CH2

  1.070  LABEL        BANDWIDTH_CH3
  1.071  MATH         @Chan = 3
  1.072  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /5520+S6
  1.073  JMPL         TRIG_SENS_CH3

  1.074  LABEL        BANDWIDTH_CH4
  1.075  MATH         @Chan = 4
  1.076  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /5520+S6
  1.077  JMPL         TRIG_SENS_CH4

  1.078  LABEL        DELAY_MATCH
  1.079  MATH         @Chan = 1
  1.080  CALL         Sub TDS500A (1 yr) Delay Match IEEE /5520+S6
  1.081  JMPL         OUTPUT_SIGNAL

  1.082  LABEL        TIMEBASE_TRIGGER
  1.083  MATH         @Chan = 1
  1.084  CALL         Sub TDS500A (1 yr) Time Base IEEE /5520+S6
  1.085  CALL         Sub TDS500A (1 yr) Trig Time Acc IEEE /5520+S6
  1.086  CALL         Sub TDS500A (1 yr) Sens IEEE /5520+S6
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.087  OPBR         -z Each channel trig sensitivity test will take about
  1.087  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.087  OPBR         channels to save time, unless desired.
  1.087  OPBR
  1.087  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.087  OPBR         3, and 4?
  1.088  MATH         @TestCh234Sens = MEM1

  1.089  MATH         @Chan = 1
  1.090  CALL         Sub TDS510A/54xA (1 yr) Aux Trig In Sens IEEE /5520+S6
  1.091  JMPL         DCV_ACC_CH2

  1.092  LABEL        TRIG_SENS_CH2

  1.093  IF           @TestCh234Sens
  1.094  MATH         @Chan = 2
  1.095  CALL         Sub TDS500A (1 yr) Sens IEEE /5520+S6
  1.096  ENDIF

  1.097  JMPL         DCV_ACC_CH3

  1.098  LABEL        TRIG_SENS_CH3

  1.099  IF           @TestCh234Sens
  1.100  MATH         @Chan = 3
  1.101  CALL         Sub TDS500A (1 yr) Sens IEEE /5520+S6
  1.102  ENDIF

  1.103  JMPL         DCV_ACC_CH4

  1.104  LABEL        TRIG_SENS_CH4

  1.105  IF           @TestCh234Sens
  1.106  MATH         @Chan = 4
  1.107  CALL         Sub TDS500A (1 yr) Sens IEEE /5520+S6
  1.108  ENDIF

  1.109  JMPL         DELAY_MATCH

  1.110  LABEL        OUTPUT_SIGNAL
  1.111  CALL         Sub TDS510A/54xA (1 yr) Output Signal IEEE /5520+S6
  1.112  CALL         Sub TDS500A (1 yr) Probe Comp IEEE /5520+S6

  1.113  LABEL        END
  1.114  IEEE2        *RST;DESE 61

  1.115  IF           @Abort
  1.116  DISP         V E R I F I C A T I O N   A B O R T E D
  1.117  ENDIF

  1.118  END
